---
lang: en
title: 'API docs: context.interceptedinvocationcontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.interceptedinvocationcontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InterceptedInvocationContext](./context.interceptedinvocationcontext.md)

## InterceptedInvocationContext class

A specialized InvocationContext for interceptors

**Signature:**

```typescript
export declare class InterceptedInvocationContext extends InvocationContext 
```
**Extends:** [InvocationContext](./context.invocationcontext.md)

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getGlobalInterceptorBindingKeys()](./context.interceptedinvocationcontext.getglobalinterceptorbindingkeys.md)


</td><td>


</td><td>

Discover all binding keys for global interceptors (tagged by ContextTags.GLOBAL\_INTERCEPTOR)


</td></tr>
<tr><td>

[loadInterceptors()](./context.interceptedinvocationcontext.loadinterceptors.md)


</td><td>


</td><td>

Load all interceptors for the given invocation context. It adds interceptors from possibly three sources: 1. method level `@intercept` 2. class level `@intercept` 3. global interceptors discovered in the context


</td></tr>
</tbody></table>


